dbplus_errno
dbplus_first
DB++ Functions
PHP Manual

# dbplus_find

(PHP 4 <= 4.1.0, PECL dbplus >= 0.9)

dbplus_find — Set a constraint on a relation

### Description

int dbplus_find ( resource `$relation` , array `$constraints` , mixed `$tuple` )

Places a constraint on the given `relation`.

Further calls to functions like dbplus_curr() or dbplus_next() will only return tuples matching the given constraints.

### Parameters

`relation`

  A relation opened by dbplus_open().

`constraints`

  Constraints are triplets of strings containing of a domain name, a comparison operator and a comparison value. The `constraints` parameter array may consist of a collection of string arrays, each of which contains a domain, an operator and a value, or of a single string array containing a multiple of three elements.

  The comparison operator may be one of the following strings: '==', '>', '>=', '<', '<=', '!=', '~' for a regular expression match and 'BAND' or 'BOR' for bitwise operations.

`tuple`

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_unselect() - Remove a constraint from relation

dbplus_errno
dbplus_first
DB++ Functions
PHP Manual